package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 小二线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_xe")
public class OeeXe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 小二线流水线坡口
     */
    private String xePkL;

    /**
     * 小二线流水线装配
     */
    private String xeZpL;

    /**
     * 小二线流水线焊接
     */
    private String xeHjL;

    /**
     * 小二线弯管机1
     */
    private String xeWgj1;

    /**
     * 小二线弯管机2
     */
    private String xeWgj2;

    /**
     * 小二线支管切断
     */
    private String xeZgqd;

    /**
     * 小二线装配平台1
     */
    private String xeZppt1;

    /**
     * 小二线装配平台2
     */
    private String xeZppt2;

    /**
     * 小二线装配平台3
     */
    private String xeZppt3;

    /**
     * 小二线装配平台4
     */
    private String xeZppt4;

    /**
     * 小二线装配平台5
     */
    private String xeZppt5;

    /**
     * 小二线焊接工位1
     */
    private String xeHjgw1;

    /**
     * 小二线焊接工位2
     */
    private String xeHjgw2;

    /**
     * 小二线焊接工位3
     */
    private String xeHjgw3;

    /**
     * 小二线焊接工位4
     */
    private String xeHjgw4;

    /**
     * 小二线焊接工位5
     */
    private String xeHjgw5;

    /**
     * 小二线一次完检
     */
    private String xeYcwj;

    /**
     * 小二线水试
     */
    private String xeSs;

    /**
     * 机加工
     */
    private String jjg;

}
