package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 小一线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_xy")
public class OeeXy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 小一线流水线坡口
     */
    private String xyPkL;

    /**
     * 小一线流水线装配1
     */
    private String xyZp1L;

    /**
     * 小一线流水线焊接1
     */
    private String xyHj1L;

    /**
     * 小一线流水线焊接2
     */
    private String xyHj2L;

    /**
     * 小一线弯管机
     */
    private String xyWgj;

    /**
     * 小一线支管切断
     */
    private String xyZgqd;

    /**
     * 小一线装配平台1
     */
    private String xyZppt1;

    /**
     * 小一线装配平台2
     */
    private String xyZppt2;

    /**
     * 小一线装配平台3
     */
    private String xyZppt3;

    /**
     * 小一线装配平台4
     */
    private String xyZppt4;

    /**
     * 小一线焊接工位1
     */
    private String xyHjgw1;

    /**
     * 小一线焊接工位2
     */
    private String xyHjgw2;

    /**
     * 小一线焊接工位3
     */
    private String xyHjgw3;

    /**
     * 小一线焊接工位4
     */
    private String xyHjgw4;

    /**
     * 小一线一次完检
     */
    private String xyYcwj;

    /**
     * 小一线水试
     */
    private String xySs;

}
